%global momorl 1

Name:           fdk-aac
Version:        0.1.6
Release:        %{momorl}m%{?dist}
Summary:        Fraunhofer FDK AAC Codec Library

License:        ASL 2.0
Group:          Applications/Multimedia
URL:            http://sourceforge.net/projects/opencore-amr
Source0:        http://downloads.sourceforge.net/opencore-amr/%{name}-%{version}.tar.gz
NoSource: 0

%description
The Fraunhofer FDK AAC Codec Library ("FDK AAC Codec") is software that
implements the MPEG Advanced Audio Coding ("AAC") encoding and decoding
scheme for digital audio.

%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q

%build
autoreconf -ivf
%configure --disable-static 

%make


%install
rm -rf %{buildroot}

make install DESTDIR=%{buildroot} INSTALL="install -p"
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%clean 
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc ChangeLog NOTICE
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%doc documentation/*.pdf
%dir %{_includedir}/fdk-aac
%{_includedir}/fdk-aac/*.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Fri Jul 27 2018 Yohsuke Ooi <meke@momonga-linux.org>
- (0.1.6-1m)
- update 1.6

* Mon Jun 05 2017 Yohsuke Ooi <meke@momonga-linux.org>
- (0.1.5-1m)
- update 1.5

* Mon Apr  6 2015 Yohsuke Ooi <meke@momonga-linux.org>
- (0.1.4-1m)
- update 1.4

* Sun Feb 08 2015 Yohsuke Ooi <meke@momonga-linux.org>
- (0.1.3-1m)
- initial commit Momonga Linux

